( cd usr/lib ; rm -rf libpsiconv.so )
( cd usr/lib ; ln -sf libpsiconv.so.6.4.2 libpsiconv.so )
( cd usr/lib ; rm -rf libpsiconv.so.6 )
( cd usr/lib ; ln -sf libpsiconv.so.6.4.2 libpsiconv.so.6 )

# Preserve new configuration files
install_file() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

install_file etc/psiconv/psiconv.conf.new
